From c23fd6913a16faef93f9d3e8ddea9c7c75b545ba Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 04 2024 22:59:39 +0000
Subject: [PATCH 10/220] Fix cosmic-session


---

diff --git a/cosmic-session/cosmic-session.spec b/cosmic-session/cosmic-session.spec
index 5e5bab9..eca1ca3 100644
--- a/cosmic-session/cosmic-session.spec
+++ b/cosmic-session/cosmic-session.spec
@@ -85,6 +85,7 @@ just rootdir=%{buildroot} install
 %{_bindir}/start-cosmic
 %{_userunitdir}/cosmic-session.target
 %{_datadir}/wayland-sessions/cosmic.desktop
+%{_datadir}/applications/cosmic-mimeapps.list
 
 
 %changelog
diff --git a/cosmic_apps.py b/cosmic_apps.py
index cc3088c..fa9eadc 100644
--- a/cosmic_apps.py
+++ b/cosmic_apps.py
@@ -832,6 +832,7 @@ COSMIC_SESSION = {
 {contains_(f"%{{_bindir}}/start-cosmic")}
 {contains_(f"%{{_userunitdir}}/cosmic-session.target")}
 {contains_(f"%{{_datadir}}/wayland-sessions/cosmic.desktop")}
+{contains_(f"%{{_datadir}}/applications/cosmic-mimeapps.list")}
 """,
 }
 

